Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class FeatureKeys

    java.lang.Object
      net.sf.saxon.FeatureKeys

public class FeatureKeys
extends java.lang.Object

FeatureKeys defines a set of constants, names of Saxon configuration options which can be supplied to the TransformerFactoryImpl interface

Field Summary
`static java.lang.String` | `ALLOW_EXTERNAL_FUNCTIONS` ALLOW_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether calls to external functions are allowed
`static java.lang.String` | `DTD_VALIDATION` DTD_VALIDATION must be a Boolean.
`static java.lang.String` | `LINE_NUMBERING` LINE_NUMBERING must be a Boolean(); it determines whether line numbers are maintained for the source document
`static java.lang.String` | `MESSAGE_EMITTER_CLASS` MESSAGE_EMITTER_CLASS must be the class name of an Emitter
`static java.lang.String` | `NAME_POOL` NAME_POOL must be an instance of net.sf.saxon.om.NamePool
`static java.lang.String` | `OUTPUT_URI_RESOLVER` OUTPUT_URI_RESOLVER must be an instance of net.sf.saxon.OutputURIResolver
`static java.lang.String` | `RECOVERY_POLICY` RECOVERY_POLICY must be an Integer: Controller.RECOVER_SILENTLY, Controller.RECOVER_WITH_WARNINGS, or Controller.DO_NOT_RECOVER
`static java.lang.String` | `SCHEMA_VALIDATION` SCHEMA_VALIDATION must be a Boolean.
`static java.lang.String` | `SOURCE_PARSER_CLASS` SOURCE_PARSER_CLASS must be the full class name of an XMLReader
`static java.lang.String` | `STYLE_PARSER_CLASS` STYLE_PARSER_CLASS must be an XMLReader
`static java.lang.String` | `TIMING` TIMING must be an Boolean; it determines whether basic timing information is output to System.err
`static java.lang.String` | `TRACE_EXTERNAL_FUNCTIONS` TRACE_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether the loading and binding of extension functions is traced
`static java.lang.String` | `TRACE_LISTENER` TRACE_LISTENER must be a class that implements net.sf.saxon.trace.TraceListener
`static java.lang.String` | `TREE_MODEL` TREE_MODEL must be an Integer: Builder.STANDARD_TREE or Builder.TINY_TREE
`static java.lang.String` | `VALIDATION_WARNINGS` VALIDATION_WARNINGS must be a Boolean.
`static java.lang.String` | `VERSION_WARNING` VERSION_WARNING must be a Boolean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOW_EXTERNAL_FUNCTIONS

    public static final java.lang.String ALLOW_EXTERNAL_FUNCTIONS

  ALLOW_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether calls to external functions are allowed

  See Also:
    Constant Field Values

### TRACE_EXTERNAL_FUNCTIONS

    public static final java.lang.String TRACE_EXTERNAL_FUNCTIONS

  TRACE_EXTERNAL_FUNCTIONS must be a Boolean; it determines whether the loading and binding of extension functions is traced

  See Also:
    Constant Field Values

### TIMING

    public static final java.lang.String TIMING

  TIMING must be an Boolean; it determines whether basic timing information is output to System.err

  See Also:
    Constant Field Values

### TREE_MODEL

    public static final java.lang.String TREE_MODEL

  TREE_MODEL must be an Integer: Builder.STANDARD_TREE or Builder.TINY_TREE

  See Also:
    Constant Field Values

### TRACE_LISTENER

    public static final java.lang.String TRACE_LISTENER

  TRACE_LISTENER must be a class that implements net.sf.saxon.trace.TraceListener

  See Also:
    Constant Field Values

### LINE_NUMBERING

    public static final java.lang.String LINE_NUMBERING

  LINE_NUMBERING must be a Boolean(); it determines whether line numbers are maintained for the source document

  See Also:
    Constant Field Values

### RECOVERY_POLICY

    public static final java.lang.String RECOVERY_POLICY

  RECOVERY_POLICY must be an Integer: Controller.RECOVER_SILENTLY, Controller.RECOVER_WITH_WARNINGS, or Controller.DO_NOT_RECOVER

  See Also:
    Constant Field Values

### MESSAGE_EMITTER_CLASS

    public static final java.lang.String MESSAGE_EMITTER_CLASS

  MESSAGE_EMITTER_CLASS must be the class name of an Emitter

  See Also:
    Constant Field Values

### SOURCE_PARSER_CLASS

    public static final java.lang.String SOURCE_PARSER_CLASS

  SOURCE_PARSER_CLASS must be the full class name of an XMLReader

  See Also:
    Constant Field Values

### STYLE_PARSER_CLASS

    public static final java.lang.String STYLE_PARSER_CLASS

  STYLE_PARSER_CLASS must be an XMLReader

  See Also:
    Constant Field Values

### NAME_POOL

    public static final java.lang.String NAME_POOL

  NAME_POOL must be an instance of net.sf.saxon.om.NamePool

  See Also:
    Constant Field Values

### OUTPUT_URI_RESOLVER

    public static final java.lang.String OUTPUT_URI_RESOLVER

  OUTPUT_URI_RESOLVER must be an instance of net.sf.saxon.OutputURIResolver

  See Also:
    Constant Field Values

### DTD_VALIDATION

    public static final java.lang.String DTD_VALIDATION

  DTD_VALIDATION must be a Boolean. This determines whether source documents should be parsed with DTD-validation enabled.

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION

    public static final java.lang.String SCHEMA_VALIDATION

  SCHEMA_VALIDATION must be a Boolean. This determines whether source documents should be parsed with schema-validation enabled.

  See Also:
    Constant Field Values

### VALIDATION_WARNINGS

    public static final java.lang.String VALIDATION_WARNINGS

  VALIDATION_WARNINGS must be a Boolean. This determines whether validation errors in result documents should be treated as fatal. By default they are fatal; with this option set, they are treated as warnings.

  See Also:
    Constant Field Values

### VERSION_WARNING

    public static final java.lang.String VERSION_WARNING

  VERSION_WARNING must be a Boolean. This determines whether a warning should be output when running an XSLT 2.0 processor against an XSLT 1.0 stylesheet. The XSLT specification requires this to be done by default.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD